# inspired from fedora spec file
# Copyright (c) 2015-2016 Remi Collet
# License: CC-BY-SA
# http://creativecommons.org/licenses/by-sa/4.0/

%define github_name     php-punycode
%define composer_name   punycode
%define composer_vendor true

%define php_libdir     %{_datadir}/php

Name:           php-%{composer_vendor}-%{composer_name}
Version:        2.1.1
Release:        %mkrel 4
Summary:        A Bootstring encoding of Unicode for IDNA
Group:          Development/PHP
License:        MIT
URL:            https://github.com/true/php-punycode
Source0:        https://github.com/true/php-punycode/archive/v%{version}/%{github_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  php >= 5.3
BuildRequires:  php-mbstring
BuildRequires:  php-fedora-autoloader-devel

# From composer.json
#               "symfony/polyfill-mbstring": "^1.3",
#               "php": ">=5.3.0"
Requires:       php >= 5.3
Requires:       php-mbstring
Requires:       php-composer(fedora/autoloader)
Provides:       php-composer(%{composer_vendor}/%{composer_name}) = %{version}

%description
A Bootstring encoding of Unicode for Internationalized Domain Names
in Applications (IDNA).

Autoloader: %{php_libdir}/TrueBV/autoload.php

%prep
%setup -q -n %{github_name}-%{version}

%build
%{_bindir}/phpab --template fedora --output src/autoload.php src

%install
mkdir -p   %{buildroot}%{php_libdir}
cp -pr src %{buildroot}%{php_libdir}/TrueBV

%files
%doc LICENSE
%doc *.md
%doc composer.json
%{php_libdir}/TrueBV


%changelog
* Fri Feb 14 2020 umeabot <umeabot> 2.1.1-4.mga8
+ Revision: 1519171
- Mageia 8 Mass Rebuild

* Thu Oct 04 2018 umeabot <umeabot> 2.1.1-3.mga7
+ Revision: 1317641
- Mageia 7 Mass Rebuild
- Mageia 7 Mass Rebuild

* Sun May 07 2017 guillomovitch <guillomovitch> 2.1.1-1.mga6
+ Revision: 1099487
- imported package php-true-punycode

